#
# Conditional build:
%bcond_without	doc	# don't build documentation
%bcond_with	tests	# perform "make check"

Summary:	Application access to USB devices
Summary(es.UTF-8):	libusb - Biblioteca USB
Summary(pl.UTF-8):	Dostęp z poziomu aplikacji do urządzeń USB
Summary(pt_BR.UTF-8):	libusb - Biblioteca para acesso a devices USB
Name:		libusb
Version:	1.0.9
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libusb/%{name}-%{version}.tar.bz2
# Source0-md5:	7f5a02375ad960d4e33a6dae7d63cfcb
URL:		http://www.libusb.org/wiki/libusb-1.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
%if %{with doc}
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	doxygen
BuildRequires:	openjade
%endif
BuildRequires:	libtool >= 2:1.5
Obsoletes:	libusb0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a library for application access to USB devices.

%description -l es.UTF-8
Biblioteca de uso en devices USB.

%description -l pl.UTF-8
Biblioteka umożliwiająca dostęp do urządzeń USB z poziomu aplikacji.

%description -l pt_BR.UTF-8
Biblioteca para acesso em devices USB.

%package devel
Summary:	Header files for libusb library
Summary(es.UTF-8):	Archivos de desarrollo de libusb
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libusb
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento da libusb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libusb0.1-devel

%description devel
This package contains header files and other resources you can use to
incorporate libusb into applications.

%description devel -l es.UTF-8
Bibliotecas de desarrolo para linusb.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja pozwalająca na dodawanie obsługi
USB w swoich programach.

%description devel -l pt_BR.UTF-8
Bibliotecas de desenvolvimento para libusb.

%package static
Summary:	libusb static libraries
Summary(es.UTF-8):	Archivos de desarrollo de libusb - estatico
Summary(pl.UTF-8):	Statyczne biblioteki do obsługi USB
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento da libusb - biblioteca estática
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libusb libraries.

%description static -l es.UTF-8
Bibliotecas de desarrolo para linusb - estatico.

%description static -l pl.UTF-8
Statyczne biblioteki libusb.

%description static -l pt_BR.UTF-8
Bibliotecas de desenvolvimento para libusb - estático.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%{?with_doc:%{__make} -C doc docs}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libusb-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libusb-1.0.so.0

%files devel
%defattr(644,root,root,755)
%{?with_doc:%doc doc/html/*}
%attr(755,root,root) %{_libdir}/libusb-1.0.so
%{_libdir}/libusb-1.0.la
%{_includedir}/libusb-1.0
%{_pkgconfigdir}/libusb-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libusb-1.0.a
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libusb.git;a=log;h=master

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 3e42a6b
- cleanup

* Sun Sep 23 2012 Jacek Konieczny <jajcus@jajcus.net> eb1d798
- Version: 1.0.9

* Tue Nov 01 2011 Elan Ruusamäe <glen@pld-linux.org> 6409bb6
- fix without doc build

* Tue Nov 01 2011 Elan Ruusamäe <glen@pld-linux.org> ca10b4c
- 1.0.9 rc3 (for usbredir)

* Sat May 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 434a38f
- updated to 1.0.8
- LGPL version, revised auto* BRs

* Sat Dec 12 2009 Elan Ruusamäe <glen@pld-linux.org> 47c28a7
- be consistent

* Fri Dec 11 2009 sparky <sparky@pld-linux.org> ed32d14
- distfiles ! you ok ?

* Fri Dec 11 2009 sparky <sparky@pld-linux.org> bfa9294
- up to 1.0.6

* Sun Sep 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 950c638
- up to 1.0.3

* Sat Jul 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 64cd53e
- up to 1.0.2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d0532d9
- drop obsolete files

* Thu May 21 2009 amateja <amateja@pld-linux.org> 97c09c2
- updated to 1.0.1

* Fri Dec 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> acb0364
- up to 1.0.0

* Fri May 23 2008 Paweł Sikora <pluto@pld-linux.org> d42dbab
- fix build with new libtool, release 5.

* Fri May 23 2008 Paweł Sikora <pluto@pld-linux.org> 7591c0c
- fix: configure.in:167: error: m4_require: circular dependency of AC_LANG_COMPILER(C++)

* Mon Sep 03 2007 Jan Rękorajski <baggins@pld-linux.org> 9060db6
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 09575bc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3940d8e
- converted to UTF-8

* Thu Nov 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f09b55
- rel 3

* Wed Nov 29 2006 Marcin Banasiak <marcin.banasiak@gmail.com> c869301
- release 2 (rebuild with P: *.la)

